.\" -*-nroff-*-
.\"
.\"     Copyright (C) 1999 Robert CHERAMY <tibob@via.ecp.fr>
.\"
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 2 of the License, or
.\"     (at your option) any later version.
.\"
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\"
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program; if not, write to the Free Software
.\"     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.TH IPFM 8 "Last change: 9 May 1999"

.SH NAME

ipfm \- IP Flow Meter

.SH SYNOPSIS
.B ipfm
[\-c file-name]

.SH DESCRIPTION

.I ipfm
is a bandwidth managing tool. It counts how much data was send by specified hosts through an Internet link.

.I ipfm
is based on the libpcap (ftp://ftp.ee.lbl.gov/libpcap-0.4.tar.Z) and should be portable. It was tested under Linux and Free BSD.

.SH OPTIONS
.TP
.B \-c file-name
file-name specifies an alternate configuration file to use. By
default,
.I ipfm.conf
is used.

.SH SIGNALS
.I ipfm
reacts to certain signals.

.TP
.B SigHUP
This causes
.I ipfm
to flush its data tables in the log file (see
.BR ipfm.conf(8)
), close pcap descriptor, reload configuration file and restart.

.TP
.B SigTERM
This causes
.I ipfm
to flush its data tables in the log file (see
.BR ipfm.conf(8)
).

.TP
.B SigKILL
This causes
.I ipfm
to exit.

.SH SEE ALSO
.BR ipfm.conf(8)

.SH AUTHORS
Robert CHERAMY <tibob@via.ecp.fr>

Andres KRAPF   <dae@via.ecp.fr>

.PP
IPFM home page can be found at http://www.via.ecp.fr/~tibob/ipfm/
